jQuery(function($){
	"use strict";
	jQuery('.main-menu-navigation > ul').superfish({
		delay: 500,                            
		animation: {opacity:'show',height:'show'},  
		speed: 'fast'                        
	});
});

function medical_supplements_store_menu_open() {
	jQuery(".side-menu").addClass('open');
}
function medical_supplements_store_menu_close() {
	jQuery(".side-menu").removeClass('open');
}

(function( $ ) {

	$(window).scroll(function(){
		var sticky = $('.sticky-header'),
		scroll = $(window).scrollTop();

		if (scroll >= 100) sticky.addClass('fixed-header');
		else sticky.removeClass('fixed-header');
	});

	// Back to top
	jQuery(document).ready(function () {
	    jQuery(window).scroll(function () {
	        if (jQuery(this).scrollTop() > 0) {
	            jQuery('.scrollup').fadeIn();
	        } else {
	            jQuery('.scrollup').fadeOut();
	        }
	    });
	    jQuery('.scrollup').click(function () {
	        jQuery("html, body").animate({
	            scrollTop: 0
	        }, 600);
	        return false;
	    });
	});

	// Window load function
	window.addEventListener('load', (event) => {
		$(".preloader").delay(2000).fadeOut("slow");
	});
	

})( jQuery );

( function( window, document ) {
	function medical_supplements_keepFocusInMenu() {
		document.addEventListener( 'keydown', function( e ) {
			const medical_supplements_nav = document.querySelector( '.side-menu' );

			if ( ! medical_supplements_nav || ! medical_supplements_nav.classList.contains( 'open' ) ) {
				return;
			}

			const elements = [...medical_supplements_nav.querySelectorAll( 'input, a, button' )],
				medical_supplements_lastEl = elements[ elements.length - 1 ],
				medical_supplements_firstEl = elements[0],
				medical_supplements_activeEl = document.activeElement,
				tabKey = e.keyCode === 9,
				shiftKey = e.shiftKey;

			if ( ! shiftKey && tabKey && medical_supplements_lastEl === medical_supplements_activeEl ) {
				e.preventDefault();
				medical_supplements_firstEl.focus();
			}

			if ( shiftKey && tabKey && medical_supplements_firstEl === medical_supplements_activeEl ) {
				e.preventDefault();
				medical_supplements_lastEl.focus();
			}
		} );
	}

	medical_supplements_keepFocusInMenu();
} )( window, document );