<?php
/**
 * Template Name:Page with Right Sidebar
 */
get_header(); ?>

<?php do_action( 'medical_supplements_store_pageright_header' ); ?>

<div class="container space-top">
    <main id="main" role="main" class="middle-align py-4">
        <div class="row">       
    		<div class="col-lg-8 col-md-8" class="content-aa" >
    			<?php while ( have_posts() ) : the_post(); ?>
                    <div class="feature-box">   
                        <?php the_post_thumbnail(); ?>
                    </div>
                    <h1><?php esc_html(the_title()); ?></h1>
                    <div class="entry-content"><?php the_content();?></div>
                    <?php
                    wp_link_pages( array(
                        'before' => '<div class="page-links">' . __( 'Pages:', 'medical-supplements-store' ),
                        'after'  => '</div>',
                    ) );
                    
                        //If comments are open or we have at least one comment, load up the comment template
                        if ( comments_open() || '0' != get_comments_number() )
                            comments_template();
                    ?>
                <?php endwhile; // end of the loop. ?>             
            </div>
            <div class="col-lg-4 col-md-4" id="sidebar">
    			<?php dynamic_sidebar('sidebar-2'); ?>
    		</div>        
            <div class="clearfix"></div>        
        </div>
    </main>
</div>

<?php do_action( 'medical_supplements_store_pageright_footer' ); ?>

<?php get_footer(); ?>